Skip to content

List received payments

List all payments received by the current user across Payment Links and Unify Payment Links (UPL), in a single unified view. Supports pagination and filtering.

GET
/api/received-payments

Authorizations

agentJwt

Agent registration JWT. Send as Authorization: Bearer <agent-jwt>.

Type
HTTP (bearer)

Responses

List of received payments.

application/json

Response for the list received payments endpoint.

Array of received payments.

{
  "payments": [
    {
      "id": "<integer>",
      "payerAddress": "<string>",
      "amount": "<string>",
      "currency": "<string>",
      "settlementStatus": "<string>",
      "settlementTxHash": "<string,null>",
      "sourceType": "<string>",
      "description": "<string,null>",
      "paymentLinkId": "<string,null>",
      "payerEmail": "<string,null>",
      "createdAt": "<string>"
    }
  ]
}

Released under the MIT License.